// CHECKSTYLE:OFF

package hudson.plugins.jira;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = new ResourceBundleHolder(Messages.class);

    /**
     * Associated JIRA
     * 
     */
    public static String JiraProjectProperty_DisplayName() {
        return holder.format("JiraProjectProperty.DisplayName");
    }

    /**
     * Associated JIRA
     * 
     */
    public static Localizable _JiraProjectProperty_DisplayName() {
        return new Localizable(holder, "JiraProjectProperty.DisplayName");
    }

    /**
     * The system configuration does not allow remote JIRA access
     * 
     */
    public static String Updater_NoRemoteAccess() {
        return holder.format("Updater.NoRemoteAccess");
    }

    /**
     * The system configuration does not allow remote JIRA access
     * 
     */
    public static Localizable _Updater_NoRemoteAccess() {
        return new Localizable(holder, "Updater.NoRemoteAccess");
    }

    /**
     * JIRA issues
     * 
     */
    public static String JiraBuildAction_DisplayName() {
        return holder.format("JiraBuildAction.DisplayName");
    }

    /**
     * JIRA issues
     * 
     */
    public static Localizable _JiraBuildAction_DisplayName() {
        return new Localizable(holder, "JiraBuildAction.DisplayName");
    }

    /**
     * JIRA URL is a mandatory field
     * 
     */
    public static String JiraProjectProperty_JiraUrlMandatory() {
        return holder.format("JiraProjectProperty.JiraUrlMandatory");
    }

    /**
     * JIRA URL is a mandatory field
     * 
     */
    public static Localizable _JiraProjectProperty_JiraUrlMandatory() {
        return new Localizable(holder, "JiraProjectProperty.JiraUrlMandatory");
    }

    /**
     * Updating {0}
     * 
     */
    public static String Updater_Updating(Object arg1) {
        return holder.format("Updater.Updating", arg1);
    }

    /**
     * Updating {0}
     * 
     */
    public static Localizable _Updater_Updating(Object arg1) {
        return new Localizable(holder, "Updater.Updating", arg1);
    }

    /**
     * No jira site is configured for this project. This must be a project configuration error
     * 
     */
    public static String Updater_NoJiraSite() {
        return holder.format("Updater.NoJiraSite");
    }

    /**
     * No jira site is configured for this project. This must be a project configuration error
     * 
     */
    public static Localizable _Updater_NoJiraSite() {
        return new Localizable(holder, "Updater.NoJiraSite");
    }

    /**
     * This is a valid URL but it doesn''t look like JIRA
     * 
     */
    public static String JiraProjectProperty_NotAJiraUrl() {
        return holder.format("JiraProjectProperty.NotAJiraUrl");
    }

    /**
     * This is a valid URL but it doesn''t look like JIRA
     * 
     */
    public static Localizable _JiraProjectProperty_NotAJiraUrl() {
        return new Localizable(holder, "JiraProjectProperty.NotAJiraUrl");
    }

    /**
     * Updated relevant JIRA issues
     * 
     */
    public static String JiraIssueUpdater_DisplayName() {
        return holder.format("JiraIssueUpdater.DisplayName");
    }

    /**
     * Updated relevant JIRA issues
     * 
     */
    public static Localizable _JiraIssueUpdater_DisplayName() {
        return new Localizable(holder, "JiraIssueUpdater.DisplayName");
    }

    /**
     * Failed to connect to JIRA
     * 
     */
    public static String Updater_FailedToConnect() {
        return holder.format("Updater.FailedToConnect");
    }

    /**
     * Failed to connect to JIRA
     * 
     */
    public static Localizable _Updater_FailedToConnect() {
        return new Localizable(holder, "Updater.FailedToConnect");
    }

    /**
     * Hudson URL is not configured yet. Go to system configuration to set this value
     * 
     */
    public static String Updater_NoHudsonUrl() {
        return holder.format("Updater.NoHudsonUrl");
    }

    /**
     * Hudson URL is not configured yet. Go to system configuration to set this value
     * 
     */
    public static Localizable _Updater_NoHudsonUrl() {
        return new Localizable(holder, "Updater.NoHudsonUrl");
    }

}
